Skip to content
Sendtier Docs
API reference

List domains

Source: OpenAPI (openapi/openapi.yaml).

curl -X GET "https://api.sendtier.example/domains" \  -H "Authorization: Bearer st_live_REPLACE_ME"
{  "data": [    {      "id": "string",      "name": "string",      "status": "pending",      "records": [        {          "purpose": "dkim",          "type": "CNAME",          "name": "string",          "value": "string",          "priority": 0,          "status": "pending"        }      ],      "last_checked_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
GET
/domains

Authorization

headerAuthorizationBearer <token>

API key: st_live_... or st_test_...

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
after?string

Cursor from next_cursor of the previous page.

Response Body

A page of domains.

application/json
  1. response
data*array<>
next_cursor?string